<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.core.UserHasPermission" table="user_has_permission" catalog="prase">
        <composite-id name="id" class="com.arrebol.taxiservicios.model.core.UserHasPermissionId">
            <key-property name="idUser" type="string">
                <column name="id_user" length="36" />
            </key-property>
            <key-property name="idPermission" type="string">
                <column name="id_permission" length="36" />
            </key-property>
        </composite-id>
        <many-to-one name="permission" class="com.arrebol.taxiservicios.model.core.Permission" update="false" insert="false" fetch="select">
            <column name="id_permission" length="36" not-null="true" />
        </many-to-one>
        <many-to-one name="user" class="com.arrebol.taxiservicios.model.core.User" update="false" insert="false" fetch="select">
            <column name="id_user" length="36" not-null="true" />
        </many-to-one>
    </class>
</hibernate-mapping>
